<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_CompanyCards StructType
 * @subpackage Structs
 */
class Get_CompanyCards extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * Constructor method for Get_CompanyCards
     * @uses Get_CompanyCards::setLogin()
     * @param \StructType\Login $login
     */
    public function __construct(\StructType\Login $login = null)
    {
        $this
            ->setLogin($login);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_CompanyCards
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
}
